package ut

import "fmt"

func TestFastPayCardBind() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["member_id"] = "11111"
	createParams["card_id"] = "666666666666666666666666"
	createParams["tel_no"] = "13888888888"
	createParams["vip_code"] = "321"
	createParams["expiration"] = "0225"

	data, apiError, err := Adapay.FastPay().CardBind(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestFastPayCardBindConfirm() {
	createParams := make(map[string]interface{})
	createParams["apply_id"] = "0177857511167541248"
	createParams["sms_code"] = "123456"
	createParams["notify_url"] = "https://xxxx.com/xxxx"

	data, apiError, err := Adapay.FastPay().CardBindConfirm(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestFastPayCardBindlist() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["member_id"] = "11111"
	createParams["token_no"] = "666666666666666666666666"

	data, apiError, err := Adapay.FastPay().CardBindlist(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestFastPayConfirm() {
	createParams := make(map[string]interface{})
	createParams["app_id"] = "app_7d87c043-aae3-4357-9b2c-269349a980d6"
	createParams["payment_id"] = "002112020012010545810065165317376983040"
	createParams["sms_code"] = "123456"

	data, apiError, err := Adapay.FastPay().Confirm(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}

func TestFastPaySmsCode() {
	createParams := make(map[string]interface{})
	createParams["payment_id"] = "002112020012010545810065165317376983040"

	data, apiError, err := Adapay.FastPay().SmsCode(createParams, "yifuyun")
	if err != nil || apiError != nil { // 网络或本应用异常
		fmt.Println(err)
		fmt.Println(apiError)
		return
	}
	fmt.Println(data)
}
